Summary: a library for talking to RouterOS hardware
Name: librouteros
Version: 1.1.2
Release: 1%{?dist}
License: GPLv2
Group: Development/Libraries
URL: http://verplant.org/librouteros/

Requires: libgcrypt
BuildRequires: libgcrypt-devel

Source0: http://verplant.org/librouteros/files/librouteros-%{version}.tar.bz2
Patch0: librouteros-werror.patch

%description
librouteros is a free and open-source library written in C which abstracts
the API provided by RouterOS. It was initially written in 2009 by Florian
Forster and released under the GNU General Public License (GPL).

Features and design goals are:
- Ease of use: The library makes heavy use of callback functions which
  simplifies memory management.
- Strict ISO C99 and POSIX.1-2001 conformance.
- Thread and reentrant-safety.
- Abstraction from underlying network protocol.
- Well documented using manual pages.

%package devel
Summary: Development headers for librouteros
Group: Development/Libraries
Requires: librouteros

%description devel
librouteros is a free and open-source library written in C which abstracts
the API provided by RouterOS. It was initially written in 2009 by Florian
Forster and released under the GNU General Public License (GPL).

This package contains the development header files for librouteros.

%global _enable_debug_package 0
%global debug_package %{nil}

%prep
%setup
%patch0 -p0

%build
%configure
make check

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}/usr/local/lib
make DESTDIR=%{buildroot} install

%clean
rm -rf %{buildroot}

%files
/usr/bin/ros
/usr/lib64/librouteros.a
/usr/lib64/librouteros.la
/usr/lib64/librouteros.so
/usr/lib64/librouteros.so.0
/usr/lib64/librouteros.so.0.2.2
/usr/share/man/man1/ros.1.gz

%files devel
/usr/include/routeros_api.h
/usr/include/routeros_version.h
/usr/share/man/man3/librouteros.3.gz

%changelog
* Wed Mar 26 2014 John Simpson <jms1@voalte.com> 1.1.2-1
- Initial spec file to build as RPM
